# Uses of Interface
org.eclipse.birt.report.engine.content.ILabelContent

Packages that use ILabelContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of ILabelContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return ILabelContent
Modifier and Type
Method
Description
`ILabelContent`
IReportContent.`createLabelContent()`
create the label content.
`ILabelContent`
IReportContent.`createLabelContent(IContent content)`
create the label content, copy the properties from the template content.
Methods in org.eclipse.birt.report.engine.content with parameters of type ILabelContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitLabel(ILabelContent label, Object value)`

## Uses of ILabelContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type ILabelContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`startLabel(ILabelContent label)`
Start label